Summary:	RawThumbnailer - RAW files thumbnailer for the GNOME Nautilus file manager
Summary(pl.UTF-8):	RawThumbnailer - program do miniaturek plików RAW dla zarządcy plików Nautilus
Name:		libopenraw-thumbnailer
Version:	3.0.0
Release:	2
License:	GPL v2+
Group:		X11/Applications/Graphics
Source0:	http://libopenraw.freedesktop.org/download/raw-thumbnailer-%{version}.tar.bz2
# Source0-md5:	fc56f327b3e2b2c647abd99b728b27a2
Patch0:		%{name}-libopenraw.patch
URL:		http://libopenraw.freedesktop.org/wiki/RawThumbnailer
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11
BuildRequires:	gdk-pixbuf2-devel >= 2.0
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	intltool >= 0.21
BuildRequires:	libopenraw-gnome-devel >= 0.1.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
Requires(post,postun):	shared-mime-info
Requires:	libopenraw-gnome-devel >= 0.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RawThumbnailer is a thumbnailer for RAW files that works with the
GNOME Nautilus file manager.

%description -l pl.UTF-8
RawThumbnailer to program generujący miniaturki plików RAW działający
z zarządcą plików Nautilus ze środowiska GNOME.

%prep
%setup -q -n raw-thumbnailer-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_mime_database

%postun
%update_mime_database

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_bindir}/raw-thumbnailer
%{_datadir}/mime/packages/raw-thumbnailer.xml
%{_datadir}/thumbnailers/raw.thumbnailer
%changelog
* Mon Dec 12 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libopenraw-thumbnailer.git;a=log;h=master

* Sun Dec 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 9285630
- updated libopenraw-gnome dependency after patch

* Sun Dec 11 2016 Jakub Bogusz <qboosh@pld-linux.org> e22fd04
- added libopenraw patch (adjust for libopenraw 0.1.x)
- release 2

* Fri Jul 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 4d86318
- updated to 3.0.0

* Wed Jul 28 2010 Elan Ruusamäe <glen@pld-linux.org> 189bf21
- use rpmbuild(macros) virtual, not direct package name

* Mon Jul 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 7b43c6f
- register gconf/mime data

* Mon Jul 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 1e618e5
- new: raw-thumbnailer from libopenraw project

